Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSimpleMutexLock Class Reference

`#include <vtkMutexLock.h>`

List of all members.

## Public Methods

| vtkSimpleMutexLock ()
virtual | ~vtkSimpleMutexLock ()
virtual const char * | GetClassName ()
virtual int | IsA (const char *name)
void | Delete ()
void | Lock (void)
void | Unlock (void)

## Static Public Methods

vtkSimpleMutexLock * | New ()
vtkSimpleMutexLock * | SafeDownCast (vtkSimpleMutexLock *o)

## Protected Attributes

vtkMutexType | MutexLock

## Constructor & Destructor Documentation

vtkSimpleMutexLock::vtkSimpleMutexLock | ( |  | ) |

virtual vtkSimpleMutexLock::~vtkSimpleMutexLock | ( |  | ) | `[virtual]`

## Member Function Documentation

vtkSimpleMutexLock* vtkSimpleMutexLock::New | ( |  | ) | `[static]`

virtual const char* vtkSimpleMutexLock::GetClassName | ( |  | ) | `[inline, virtual]`

| Definition at line 82 of file vtkMutexLock.h.

virtual int vtkSimpleMutexLock::IsA | ( | const char * | name | ) | `[virtual]`

vtkSimpleMutexLock* vtkSimpleMutexLock::SafeDownCast | ( | vtkSimpleMutexLock * | o | ) | `[static]`

void vtkSimpleMutexLock::Delete | ( |  | ) | `[inline]`

| Definition at line 86 of file vtkMutexLock.h.

void vtkSimpleMutexLock::Lock | ( | void |  | ) |

| Lock the vtkMutexLock Referenced by vtkMutexLock::Lock().

void vtkSimpleMutexLock::Unlock | ( | void |  | ) |

| Unlock the vtkMutexLock Referenced by vtkMutexLock::Unlock().

## Member Data Documentation

vtkMutexType vtkSimpleMutexLock::MutexLock`[protected]`

| Definition at line 95 of file vtkMutexLock.h.

The documentation for this class was generated from the following file:

- Common/vtkMutexLock.h